/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         		  transformarTexto = true; // Cambiar a false, si la actividad es de lenguaje o requiere validación exacta de las palabras   
         		  eliminarEspacios = false; // Cambiar a true, si la actividad es de matemáticas o requiere omitir los espacios en blanco de la validación
         		  //Total de inputs       
                 TotalInput = 70;
                 //Para filtrar se pueden usar las siguientes variables:
                 /* 
         		'int'= [0-9] //números enteros 
         		'num' =[0-9.]  //números y punto
         		'alphanum' =[a-z0-9_] 
         		'alpha'=[a-zA-z_ ]//caracteres mayúscula, minúscula y espacio
         		'alphalower'=[a-z_ ]  //caracteres en minúsculas y números
         		'alphaupper'=[A-Z_ ]  //caracteres en mayúscula y números
         		'alphanumupper'=[a-zA-Z0-9_]  //caracteres en minúsculas, mayúsculas y números
         		'alphanumspacelower'= [a-z0-9_ ]  //caracteres en minúsculas, números y espacio
         		'alphanumspace'= [a-z0-9_ ] //caracteres en minúsculas, espacio y números
         		'alphanumspacelower' =[a-z0-9_ ]		
         		'all'=[a-zA-Z0-9_°!"#$%&/()=?¡¨*;:_-.,}{´+¿`^[]{}@ ] //POR DEFECTO ESTÁN HABILITADOS TODOS LOS CARACTERES 
         		*/
         
                 filtrar='int';
                 sym.setVariable("border", "2px double #cccccc");
         			sym.setVariable("fondo", "rgba(255,255,255,0.50)");
         			sym.setVariable("colorini", "#666666");
         			sym.setVariable("colorok", "#666666");
         			sym.setVariable("fondook","rgba(169,194,88,0.80)");
         			sym.setVariable("colorbad", "#ffffff");
         			sym.setVariable("fondobad", "#f3716c");
         			sym.setVariable("fontsize", "23px");
         			sym.setVariable("fontFamily", "Cabin");
         			sym.setVariable("fontStyle", "normal");
         			sym.setVariable("fontweight", "bold");
         			sym.setVariable("height", "auto");
         			sym.setVariable("border-radius", "5px");
         
         //RESPUESTAS -- CAMBIAR VALORES
         sym.setVariable("Respuesta_1", "10");
         sym.setVariable("Respuesta_2", "5");
         sym.setVariable("Respuesta_3", "7");
         sym.setVariable("Respuesta_4", "8");
         sym.setVariable("Respuesta_5", "10");
         sym.setVariable("Respuesta_6", "11");
         sym.setVariable("Respuesta_7", "13");
         sym.setVariable("Respuesta_8", "12");
         sym.setVariable("Respuesta_9", "13");
         sym.setVariable("Respuesta_10", "14");
         sym.setVariable("Respuesta_11", "6");
         sym.setVariable("Respuesta_12", "7");
         sym.setVariable("Respuesta_13", "8");
         sym.setVariable("Respuesta_14", "9");
         sym.setVariable("Respuesta_15", "10");
         sym.setVariable("Respuesta_16", "11");
         sym.setVariable("Respuesta_17", "12");
         sym.setVariable("Respuesta_18", "13");
         sym.setVariable("Respuesta_19", "14");
         sym.setVariable("Respuesta_20", "15");
         sym.setVariable("Respuesta_21", "7");
         sym.setVariable("Respuesta_22", "8");
         sym.setVariable("Respuesta_23", "9");
         sym.setVariable("Respuesta_24", "10");
         sym.setVariable("Respuesta_25", "11");
         sym.setVariable("Respuesta_26", "12");
         sym.setVariable("Respuesta_27", "13");
         sym.setVariable("Respuesta_28", "14");
         sym.setVariable("Respuesta_29", "15");
         sym.setVariable("Respuesta_30", "16");
         sym.setVariable("Respuesta_31", "8");
         sym.setVariable("Respuesta_32", "9");
         sym.setVariable("Respuesta_33", "10");
         sym.setVariable("Respuesta_34", "11");
         sym.setVariable("Respuesta_35", "12");
         sym.setVariable("Respuesta_36", "13");
         sym.setVariable("Respuesta_37", "14");
         sym.setVariable("Respuesta_38", "15");
         sym.setVariable("Respuesta_39", "16");
         sym.setVariable("Respuesta_40", "17");
         sym.setVariable("Respuesta_41", "9");
         sym.setVariable("Respuesta_42", "10");
         sym.setVariable("Respuesta_43", "11");
         sym.setVariable("Respuesta_44", "12");
         sym.setVariable("Respuesta_45", "13");
         sym.setVariable("Respuesta_46", "14");
         sym.setVariable("Respuesta_47", "15");
         sym.setVariable("Respuesta_48", "16");
         sym.setVariable("Respuesta_49", "17");
         sym.setVariable("Respuesta_50", "18");
         sym.setVariable("Respuesta_51", "10");
         sym.setVariable("Respuesta_52", "11");
         sym.setVariable("Respuesta_53", "12");
         sym.setVariable("Respuesta_54", "13");
         sym.setVariable("Respuesta_55", "14");
         sym.setVariable("Respuesta_56", "15");
         sym.setVariable("Respuesta_57", "16");
         sym.setVariable("Respuesta_58", "17");
         sym.setVariable("Respuesta_59", "18");
         sym.setVariable("Respuesta_60", "19");
         sym.setVariable("Respuesta_61", "11");
         sym.setVariable("Respuesta_62", "12");
         sym.setVariable("Respuesta_63", "13");
         sym.setVariable("Respuesta_64", "14");
         sym.setVariable("Respuesta_65", "15");
         sym.setVariable("Respuesta_66", "16");
         sym.setVariable("Respuesta_67", "17");
         sym.setVariable("Respuesta_68", "18");
         sym.setVariable("Respuesta_69", "19");
         sym.setVariable("Respuesta_70", "20");
         
         /*	
         	Modifique el valor en pixels para el ancho de cada input según lo requiera
         */
         //seleccion_1.style.textTransform="uppercase";
         //seleccion_1.style.fontStyle="italic";
         seleccion_1.style.width= '25px';
         seleccion_2.style.width= '25px';
         seleccion_3.style.width= '25px';
         seleccion_4.style.width= '25px';
         seleccion_5.style.width= '25px';
         seleccion_6.style.width= '25px';
         seleccion_7.style.width= '25px';
         seleccion_8.style.width= '25px';
         seleccion_9.style.width= '25px';
         seleccion_10.style.width= '25px';
         seleccion_11.style.width= '25px';
         seleccion_12.style.width= '25px';
         seleccion_13.style.width= '25px';
         seleccion_14.style.width= '25px';
         seleccion_15.style.width= '25px';
         seleccion_16.style.width= '25px';
         seleccion_17.style.width= '25px';
         seleccion_18.style.width= '25px';
         seleccion_19.style.width= '25px';
         seleccion_20.style.width= '25px';
         seleccion_10.style.width= '25px';
         seleccion_21.style.width= '25px';
         seleccion_22.style.width= '25px';
         seleccion_23.style.width= '25px';
         seleccion_24.style.width= '25px';
         seleccion_25.style.width= '25px';
         seleccion_26.style.width= '25px';
         seleccion_27.style.width= '25px';
         seleccion_28.style.width= '25px';
         seleccion_29.style.width= '25px';
         seleccion_30.style.width= '25px';
         seleccion_31.style.width= '25px';
         seleccion_32.style.width= '25px';
         seleccion_33.style.width= '25px';
         seleccion_34.style.width= '25px';
         seleccion_35.style.width= '25px';
         seleccion_36.style.width= '25px';
         seleccion_37.style.width= '25px';
         seleccion_38.style.width= '25px';
         seleccion_39.style.width= '25px';
         seleccion_40.style.width= '25px';
         seleccion_41.style.width= '25px';
         seleccion_42.style.width= '25px';
         seleccion_43.style.width= '25px';
         seleccion_44.style.width= '25px';
         seleccion_45.style.width= '25px';
         seleccion_46.style.width= '25px';
         seleccion_47.style.width= '25px';
         seleccion_48.style.width= '25px';
         seleccion_49.style.width= '25px';
         seleccion_50.style.width= '25px';
         seleccion_51.style.width= '25px';
         seleccion_52.style.width= '25px';
         seleccion_53.style.width= '25px';
         seleccion_54.style.width= '25px';
         seleccion_55.style.width= '25px';
         seleccion_56.style.width= '25px';
         seleccion_57.style.width= '25px';
         seleccion_58.style.width= '25px';
         seleccion_59.style.width= '25px';
         seleccion_60.style.width= '25px';
         seleccion_61.style.width= '25px';
         seleccion_62.style.width= '25px';
         seleccion_63.style.width= '25px';
         seleccion_64.style.width= '25px';
         seleccion_65.style.width= '25px';
         seleccion_66.style.width= '25px';
         seleccion_67.style.width= '25px';
         seleccion_68.style.width= '25px';
         seleccion_69.style.width= '25px';
         seleccion_70.style.width= '25px';
         //seleccion_1.style.fontStyle="italic";

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 960000, function(sym, e) {
         
         sym.stop();
         sym.getSymbol("table").stop();
         //sym.$('[id^="Stage_Input_"]').fadeIn("slow");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'Bg'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1500, function(sym, e) {
         sym.getSymbol("volcano").play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 81750, function(sym, e) {
         sym.play(1501);

      });
      //Edge binding end

   })("Bg");
   //Edge symbol end:'Bg'

   //=========================================================
   
   //Edge symbol: 'volcano'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("volcano");
   //Edge symbol end:'volcano'

   //=========================================================
   
   //Edge symbol: 'table'
   (function(symbolName) {   
   
      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

   })("table");
   //Edge symbol end:'table'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         //elimina el mute del audio
         	sym.getComposition().getStage().$(soundId)[0].muted = false;
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

})(jQuery, AdobeEdge, "EDGE-94063035");